import { objectId } from '@jig-software/zod-bson';
import { z } from 'zod';

// Note: AppSettings is for Dynamic props.

export const AppSettings = z.object({
  _id: objectId(),
  // Include other properties here.
  createdAt: z.date(),
  updatedAt: z.date(),
});

export type AppSettings = z.infer<typeof AppSettings>;

export const AppSettingsInit = AppSettings.omit({
  _id: true,
  createdAt: true,
  updatedAt: true,
});

export type AppSettingsInit = z.infer<typeof AppSettingsInit>;
